
public class Class135 {

   Class147_Sub2 aClass147_Sub2_1579 = null;
   static final int anInt1580 = 16;
   static final int anInt1581 = 4000;
   static final int anInt1582 = 128;
   boolean aBool1583;
   Class147_Sub4[] aClass147_Sub4Array1584 = null;
   static Object anObject1585;
   Class147_Sub4[] aClass147_Sub4Array1586 = null;
   Class147_Sub2 aClass147_Sub2_1587 = null;
   Class147_Sub2 aClass147_Sub2_1588 = null;
   static Object anObject1589;
   static final int anInt1590 = 128;
   static Object anObject1591;


   static void method2601(Class545_Sub1 var0) {
      byte[] var2;
      if(anObject1589 == null) {
         Class378_Sub2_Sub2 var1 = new Class378_Sub2_Sub2();
         var2 = var1.method15803(128, 128, 16);
         anObject1589 = Class225.method3869(var2, false, (byte)38);
      }

      if(anObject1585 == null) {
         Class378_Sub1_Sub2 var3 = new Class378_Sub1_Sub2();
         var2 = var3.method15898(128, 128, 16);
         anObject1585 = Class225.method3869(var2, false, (byte)82);
      }

      Class163 var4 = var0.aClass163_9179;
      if(var4.method2833() && anObject1591 == null) {
         var2 = Class210.method3601(128, 128, 16, 8, new Class227_Sub1(419684), 4.0F, 4.0F, 16.0F, 0.5F, 0.6F);
         anObject1591 = Class225.method3869(var2, false, (byte)68);
      }

   }

   Class135(Class545_Sub1 var1) {
      this.aBool1583 = var1.aBool9273;
      method2602(var1);
      if(!this.aBool1583) {
         this.aClass147_Sub4Array1584 = new Class147_Sub4[16];

         int var2;
         byte[] var3;
         for(var2 = 0; var2 < 16; ++var2) {
            var3 = Class66.method1427(anObject1589, var2 * '\u8000', '\u8000', -84850321);
            this.aClass147_Sub4Array1584[var2] = new Class147_Sub4(var1, 3553, Class98.aClass98_989, Class91.aClass91_897, 128, 128, true, var3, Class98.aClass98_989, false);
         }

         this.aClass147_Sub4Array1586 = new Class147_Sub4[16];

         for(var2 = 0; var2 < 16; ++var2) {
            var3 = Class66.method1427(anObject1585, var2 * '\u8000', '\u8000', -84850321);
            this.aClass147_Sub4Array1586[var2] = new Class147_Sub4(var1, 3553, Class98.aClass98_989, Class91.aClass91_897, 128, 128, true, var3, Class98.aClass98_989, false);
         }
      } else {
         byte[] var5 = Class120.method2333(anObject1589, false, 1419808383);
         this.aClass147_Sub2_1579 = new Class147_Sub2(var1, Class98.aClass98_989, Class91.aClass91_897, 128, 128, 16, var5, Class98.aClass98_989);
         var5 = Class120.method2333(anObject1585, false, -839080999);
         this.aClass147_Sub2_1587 = new Class147_Sub2(var1, Class98.aClass98_989, Class91.aClass91_897, 128, 128, 16, var5, Class98.aClass98_989);
         Class163 var6 = var1.aClass163_9179;
         if(var6.method2833()) {
            var5 = Class120.method2333(anObject1591, false, -1736052971);
            this.aClass147_Sub2_1588 = new Class147_Sub2(var1, Class98.aClass98_992, Class91.aClass91_897, 128, 128, 16);
            Class147_Sub2 var4 = new Class147_Sub2(var1, Class98.aClass98_988, Class91.aClass91_897, 128, 128, 16, var5, Class98.aClass98_988);
            if(!var6.method2835(this.aClass147_Sub2_1588, var4, 2.0F)) {
               this.aClass147_Sub2_1588.method2724();
               this.aClass147_Sub2_1588 = null;
            } else {
               this.aClass147_Sub2_1588.method2715();
            }

            var4.method2724();
         }
      }

   }

   static void method2602(Class545_Sub1 var0) {
      byte[] var2;
      if(anObject1589 == null) {
         Class378_Sub2_Sub2 var1 = new Class378_Sub2_Sub2();
         var2 = var1.method15803(128, 128, 16);
         anObject1589 = Class225.method3869(var2, false, (byte)106);
      }

      if(anObject1585 == null) {
         Class378_Sub1_Sub2 var3 = new Class378_Sub1_Sub2();
         var2 = var3.method15898(128, 128, 16);
         anObject1585 = Class225.method3869(var2, false, (byte)52);
      }

      Class163 var4 = var0.aClass163_9179;
      if(var4.method2833() && anObject1591 == null) {
         var2 = Class210.method3601(128, 128, 16, 8, new Class227_Sub1(419684), 4.0F, 4.0F, 16.0F, 0.5F, 0.6F);
         anObject1591 = Class225.method3869(var2, false, (byte)76);
      }

   }

   static void method2603(Class545_Sub1 var0) {
      byte[] var2;
      if(anObject1589 == null) {
         Class378_Sub2_Sub2 var1 = new Class378_Sub2_Sub2();
         var2 = var1.method15803(128, 128, 16);
         anObject1589 = Class225.method3869(var2, false, (byte)87);
      }

      if(anObject1585 == null) {
         Class378_Sub1_Sub2 var3 = new Class378_Sub1_Sub2();
         var2 = var3.method15898(128, 128, 16);
         anObject1585 = Class225.method3869(var2, false, (byte)16);
      }

      Class163 var4 = var0.aClass163_9179;
      if(var4.method2833() && anObject1591 == null) {
         var2 = Class210.method3601(128, 128, 16, 8, new Class227_Sub1(419684), 4.0F, 4.0F, 16.0F, 0.5F, 0.6F);
         anObject1591 = Class225.method3869(var2, false, (byte)126);
      }

   }

   static void method2604(Class545_Sub1 var0) {
      byte[] var2;
      if(anObject1589 == null) {
         Class378_Sub2_Sub2 var1 = new Class378_Sub2_Sub2();
         var2 = var1.method15803(128, 128, 16);
         anObject1589 = Class225.method3869(var2, false, (byte)92);
      }

      if(anObject1585 == null) {
         Class378_Sub1_Sub2 var3 = new Class378_Sub1_Sub2();
         var2 = var3.method15898(128, 128, 16);
         anObject1585 = Class225.method3869(var2, false, (byte)108);
      }

      Class163 var4 = var0.aClass163_9179;
      if(var4.method2833() && anObject1591 == null) {
         var2 = Class210.method3601(128, 128, 16, 8, new Class227_Sub1(419684), 4.0F, 4.0F, 16.0F, 0.5F, 0.6F);
         anObject1591 = Class225.method3869(var2, false, (byte)86);
      }

   }
}
